Subject: Re: ibmveth and LIOBN field

From: Santiago Leon <[email-masked]>
Date: Wed, 18 Oct 2006 11:14:10 -0500

Benjamin Herrenschmidt wrote:
> Hi Santiago !
> 
> I'm a bit annoyed by a bit of code in the ibmveth driver:
> 
> It accesses the iommu table pointer, to get the index and put it into
> it's own private adapter->liobn member. However, that is never used
> anywhere except in ibmveth_seq_show() for the /proc stuff to display
> th'is LIOBN value.
> 
> Is this actually useful ? I'd like to just remove that code. 

I'll gladly sign off a patch that removes that code.  I think we used 
liobn in the driver a long time ago to do the tce mappings before we 
merged all the common virtual io code into arch/powerpc/vio.c.

-- 
Santiago A. Leon
Power Linux Development
IBM Linux Technology Center